Bug 176855 - Review Request: python-cpio: A Python module for accessing cpio archives
Review Request: python-cpio: A Python module for accessing cpio archives
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-03 15:19 EST by Ignacio Vazquez-Abrams
Modified: 2010-02-22 15:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 09:55:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-01-03 15:19:14 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/python-cpio.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/python-cpio-0.1-1.src.rpm
Description: This is a Python module for accessing cpio archives.

This should be a quick review for anyone that just wants to put one under their belt. Also, I'd appreciate it if a better Summary and/or Description was suggested so I could pilfer it.
Comment 1 Dawid Gajownik 2006-01-03 16:45:18 EST
Sorry for a bit off-topic comment but how *.pyo files should be handled? In
/usr/share/fedora/spectemplate-python.spec from fedora-rpmdevtools there is such
a comment:

# mark *.pyo as %ghost (do not include in package).

but in your spec file and in some Extras' packages these files are provided in
final RPMs. I'm asking because this problem concerns my package, too ( bug
#176653 ).
Comment 2 Ignacio Vazquez-Abrams 2006-01-03 22:18:05 EST
I personally don't consider it a big deal myself. At the moment I have about
17MB of .pyo files, which is a drop in the bucket compared to things like the
kernel or X, or even Python itself.
Comment 3 Paul Howarth 2006-01-04 03:22:49 EST
(In reply to comment #1)
> Sorry for a bit off-topic comment but how *.pyo files should be handled? In
> /usr/share/fedora/spectemplate-python.spec from fedora-rpmdevtools there is such
> a comment:
> 
> # mark *.pyo as %ghost (do not include in package).
> 
> but in your spec file and in some Extras' packages these files are provided in
> final RPMs. I'm asking because this problem concerns my package, too ( bug
> #176653 ).

Include the *.pyo files in the files list, optionally with the %ghost attribute.

Without the %ghost attribute, the files will be included as normal.

With the %ghost attribute, the files won't be included in the RPM but will be
removed if they exist when then package is removed (and they might exist if root
runs the application and the .pyo files get written at that time).

Either way, the package cleans up after itself when it's removed. Your choice
which way to go.
Comment 4 Mike McGrath 2006-02-26 10:18:26 EST
-RPM name is OK
-Source python-cpio-0.1.tar.bz2 is the same as upstream (which I see is you)
-rpmlint of python-cpio looks fine, no output
-File list of python-cpio looks OK
-License matches
-Builds fine in mock and FC-4

- Encoding should be UTF-8
Comment 5 Toshio Kuratomi 2006-03-06 02:17:09 EST
Hi Mike -- was Comment #4 a full review with just the UTF-8 change needed before
you'll accept?

Ignacio, are you going to produce an update or are you busy?
Comment 6 Ignacio Vazquez-Abrams 2006-03-09 22:56:27 EST
(In reply to comment #4)
> - Encoding should be UTF-8

I don't understand what you mean by this. Which file isn't in UTF-8?
Comment 7 Mike McGrath 2006-03-09 23:23:50 EST
I thought the spec file wasn't but it looks ok under closer inspection.  The
file command was confused:

python-cpio.spec: lex description text

Its be'cause of the first two lines in the spec file.  Remove them and file is
unconfused:

python-cpio.spec: ASCII text

Needless to say, false positive.

Nothing has changed from comment #4.

APPROVED
Comment 8 Aurelien Bompard 2006-03-12 11:59:26 EST
This is actually a bug in my fedora-qa script, which I have just fixed.
Comment 9 Ignacio Vazquez-Abrams 2006-03-15 09:55:01 EST
Built under FC-4 and devel.
Comment 10 Toshio Ernie Kuratomi 2010-02-21 14:51:43 EST
I have sent a message to jamatos on 8 Feb 2010 about branching this package for EPEL with no response.  Requesting an EPEL-5 branch that I will maintain.

Package Change Request
======================
Package Name: python-cpio
New Branches: EL-5
Owners: toshio
Comment 11 Jason Tibbitts 2010-02-22 15:06:04 EST
CVS done.

Note You need to log in before you can comment on or make changes to this bug.